import { BootstrapRange } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { BootstrapRange } from './../index';
export declare class BootstrapRangeComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<BootstrapRange>);
    private eventHandlers;
    nativeElement: BootstrapRange;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Enables or disables the element.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets the name of the element.  */
    get name(): string;
    set name(value: string);
    /** @description Sets or gets the min value */
    get min(): number;
    set min(value: number);
    /** @description Sets or gets the max value */
    get max(): number;
    set max(value: number);
    /** @description Sets or gets the value */
    get value(): number;
    set value(value: number);
    /** @description Change event is triggered when the value of the element is changed.
    *  @param event. The custom event. 	*/
    onChange: EventEmitter<CustomEvent>;
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapRangeComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BootstrapRangeComponent, "bootstrap-range, [bootstrap-range]", ["bootstrap-range"], { "disabled": "disabled"; "name": "name"; "min": "min"; "max": "max"; "value": "value"; }, { "onChange": "onChange"; }, never>;
}
